[Gpg4win-commits] r1147 - in trunk: . patches/claws-mail-3.7.1

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Thu Apr 2 21:08:48 CEST 2009


Author: marcus
Date: 2009-04-02 21:08:47 +0200 (Thu, 02 Apr 2009)
New Revision: 1147

Added:
   trunk/patches/claws-mail-3.7.1/03-pipe.patch
Modified:
   trunk/ChangeLog
   trunk/Makefile.am
Log:
2009-04-02  Marcus Brinkmann  <marcus at g10code.de>

	* Makefile.am (EXTRA_DIST): Add patches for claws.
	* patches/claws-3.7.1/03-pipe.patch: New file.


Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2009-04-02 12:34:25 UTC (rev 1146)
+++ trunk/ChangeLog	2009-04-02 19:08:47 UTC (rev 1147)
@@ -1,5 +1,8 @@
 2009-04-02  Marcus Brinkmann  <marcus at g10code.de>
 
+	* Makefile.am (EXTRA_DIST): Add patches for claws.
+	* patches/claws-3.7.1/03-pipe.patch: New file.
+
 	* src/Makefile.am (gpg4win_pkg_glib_configure): Set CCC to mingw's g++.
 
 2009-03-25  Werner Koch  <wk at g10code.com>

Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am	2009-04-02 12:34:25 UTC (rev 1146)
+++ trunk/Makefile.am	2009-04-02 19:08:47 UTC (rev 1147)
@@ -47,6 +47,9 @@
 	patches/gnupg2-2.0.9/04-ks-w32init.patch \
 	patches/gnupg2-2.0.9/05-w32-http.patch \
 	patches/gpgol-0.9.91/01-gpgme.patch \
+	patches/claws-3.7.1/01-fix-spaces-after-re.patch \
+	patches/claws-3.7.1/02-3.7.1cvs22.patch \
+        patches/claws-3.7.1/03-pipe.patch \
         patches/scute-1.2.0/01-bugfixes.patch
 
 copy-news:

Added: trunk/patches/claws-mail-3.7.1/03-pipe.patch
===================================================================
--- trunk/patches/claws-mail-3.7.1/03-pipe.patch	2009-04-02 12:34:25 UTC (rev 1146)
+++ trunk/patches/claws-mail-3.7.1/03-pipe.patch	2009-04-02 19:08:47 UTC (rev 1147)
@@ -0,0 +1,41 @@
+#! /bin/sh
+patch -p1 -f $* < $0
+exit $?
+
+Marcus: New glib dropped pipe() macro.
+
+diff -rup claws-mail-3.7.1-cur/src/common/w32lib.h claws-mail-3.7.1/src/common/w32lib.h
+--- claws-mail-3.7.1-cur/src/common/w32lib.h	2009-03-06 07:01:00.000000000 +0100
++++ claws-mail-3.7.1/src/common/w32lib.h	2009-04-02 20:54:46.000000000 +0200
+@@ -74,6 +74,7 @@
+ #include <windows.h>
+ #include <io.h>
+ #include <stdio.h>
++#include <glib.h>
+ 
+ #ifdef __MINGW32__
+ #include <_mingw.h>
+@@ -193,6 +194,10 @@ unsigned int sleep( unsigned int seconds
+ int link( const char *oldpath, const char *newpath );
+ int usleep( unsigned long usec );
+ 
++#if GLIB_CHECK_VERSION(2, 13, 2)
++#define pipe(phandles)  _pipe (phandles, 4096, _O_BINARY)
++#endif
++
+ /*** stdlib ***/
+ long int random( void );
+ void srandom( unsigned int seed );
+diff -rup claws-mail-3.7.1-cur/src/etpan/etpan-thread-manager.c claws-mail-3.7.1/src/etpan/etpan-thread-manager.c
+--- claws-mail-3.7.1-cur/src/etpan/etpan-thread-manager.c	2009-04-02 16:10:46.000000000 +0200
++++ claws-mail-3.7.1/src/etpan/etpan-thread-manager.c	2009-04-02 20:55:09.000000000 +0200
+@@ -66,5 +66,9 @@ enum {
+   TERMINATE_STATE_DONE,
+ };
+ 
++#if GLIB_CHECK_VERSION (2, 13, 2)
++#define pipe(phandles)  _pipe (phandles, 4096, _O_BINARY)
++#endif
++ 
+ struct etpan_thread_manager * etpan_thread_manager_new(void)
+ {


Property changes on: trunk/patches/claws-mail-3.7.1/03-pipe.patch
___________________________________________________________________
Name: svn:executable
   + *



More information about the Gpg4win-commits mailing list